3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception('Message 1'); } catch (Exception $e) { $e = new Exception('Message 2: ' . $e); } try { throw $e; } catch (Exception $e) { $e = new Exception('Message 3: ' . $e); } try { throw $e; } catch (Exception $e) { throw new Exception('Message 4: ' . $e); }
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Exception: Message 4: Exception: Message 3: Exception: Message 2: Exception: Message 1 in /in/drQ6I:3 Stack trace: #0 {main} in /in/drQ6I:5 Stack trace: #0 {main} in /in/drQ6I:11 Stack trace: #0 {main} in /in/drQ6I:17 Stack trace: #0 {main} thrown in /in/drQ6I on line 17
Process exited with code 255.
Output for 5.2.0 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'Message 4: exception 'Exception' with message 'Message 3: exception 'Exception' with message 'Message 2: exception 'Exception' with message 'Message 1' in /in/drQ6I:3 Stack trace: #0 {main}' in /in/drQ6I:5 Stack trace: #0 {main}' in /in/drQ6I:11 Stack trace: #0 {main}' in /in/drQ6I:17 Stack trace: #0 {main} thrown in /in/drQ6I on line 17
Process exited with code 255.
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.1.6
Fatal error: Uncaught exception 'Exception' with message 'Message 4: Object id #1' in /in/drQ6I:17 Stack trace: #0 {main} thrown in /in/drQ6I on line 17
Process exited with code 255.
Output for 5.0.3 - 5.0.4
Fatal error: Uncaught exception 'Exception' with message 'Message 4: Object id #1' in /in/drQ6I:17 Stack trace: #0 /in/drQ6I(17): unknown() #1 {main} thrown in /in/drQ6I on line 17
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/drQ6I on line 2
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/drQ6I on line 2
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/drQ6I on line 2
Process exited with code 255.